Bug 243420 - [fixed in 2.2.0] OOo 2.0.4 crashes while opening .doc file
Summary: [fixed in 2.2.0] OOo 2.0.4 crashes while opening .doc file
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-08 16:54 UTC by Marek Mahut
Modified: 2008-05-21 17:50 UTC (History)
0 users

Fixed In Version: RHEL-5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 17:50:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer (562.00 KB, application/octet-stream)
2007-06-08 16:58 UTC, Marek Mahut
no flags Details
Crashinfo (8.75 KB, text/plain)
2007-06-08 16:59 UTC, Marek Mahut
no flags Details
re-saved as .odt in a working version (81.67 KB, application/vnd.oasis.opendocument.text)
2007-06-08 17:09 UTC, Caolan McNamara
no flags Details

Description Marek Mahut 2007-06-08 16:54:58 UTC
Description of problem:

OpenOffice writer crash when I try to open a .doc document.

Version-Release number of selected component (if applicable):

openoffice.org-core-2.0.4-5.4.17.1
openoffice.org-writer-2.0.4-5.4.17.1
redhat-release-5Client-5.0.0.9

How reproducible:

Always.

Steps to Reproduce:
1. try to open the file with open office
 
Actual results:

OpenOffice crashes.

Expected results:

OpenOffice opens this file and everybody is happy.

Additional info:

It's friday.

Comment 1 Marek Mahut 2007-06-08 16:58:33 UTC
Created attachment 156591 [details]
Reproducer

Comment 2 Marek Mahut 2007-06-08 16:59:25 UTC
Created attachment 156592 [details]
Crashinfo

Comment 4 Caolan McNamara 2007-06-08 17:09:03 UTC
Created attachment 156593 [details]
re-saved as .odt in a working version

Comment 5 Marek Mahut 2007-06-08 17:12:37 UTC
(In reply to comment #4)
> Created an attachment (id=156593) [edit]
> re-saved as .odt in a working version


Indeed, I was also able to open it under Fedora 7 with
openoffice.org-writer-2.2.0-14.8.

Comment 6 Caolan McNamara 2007-06-09 10:16:20 UTC
If we bump to 2.2.X for RHEL-5.2, then we'd get this fix for free.

Comment 7 Caolan McNamara 2008-05-21 17:50:13 UTC
RHEL-5.2 includes 2.3.0 which has this fix in it.

For more information on where to find the updated files, please follow the link
below. You may reopen this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0403.html



Note You need to log in before you can comment on or make changes to this bug.